API keys
Create API key
The secret is revealed only in the first successful response. Repeating the same request with its Idempotency-Key returns 409 idempotent_replay_secret_unavailable without creating another key.
POST
/
v1
/
api-keys
Create API key
curl --request POST \
--url https://api.getmillwork.dev/v1/api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"api_key_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"display_name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"key_prefix": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by": "<string>",
"status": "active"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Response
Default Response
The API key. It is shown once when created, so store it now.
Available options:
active, revoked ⌘I
Create API key
curl --request POST \
--url https://api.getmillwork.dev/v1/api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"api_key_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"display_name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"key_prefix": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by": "<string>",
"status": "active"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}